Bug 559690 - Cannot re-create a samba share
Cannot re-create a samba share
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
1.4
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
John Sefler
: SubBug
Depends On:
Blocks: RHQ_Config rhq_spearhead
  Show dependency treegraph
 
Reported: 2010-01-28 13:38 EST by John Sefler
Modified: 2014-05-27 14:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-27 14:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2010-01-28 13:38:48 EST
Description of problem:
After creating a samba share from within the RHQ user interface and then deleting it. An augeas error occurs when trying to create a new samba share by the same name as the just deleted samba share.


Version-Release number of selected component (if applicable):

How reproducible:
most of the time - sometimes it works.


Steps to Reproduce:
1. From within RHQ, open an inventoried platform where samba is running.
2. Open its Samba Server
3. Create New: Samba Share
Resource Name:  myresourceshare
Name:           myshare
SUBMIT
4. check the newly created "myshare share"
DELETE
5. Create New: Samba Share
Resource Name:  myresourceshare
Name:           myshare
SUBMIT

BANG! The History of create child resource requests table shows the create failed with error:
An Augeas node already exists with path /files/etc/samba/smb.conf/target[.='myshare']

HOWEVER, if you go to the filesystem and cat /etc/samba/smb.conf, the [myshare] section is NOT there!
Comment 1 wes hayutin 2010-02-08 14:44:58 EST
Charles does not want this worked on until the feature is back on the road map,
removing the automation blocker tag.
Comment 2 wes hayutin 2010-02-16 11:57:58 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:02:56 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-12-16 08:49:15 EST
Triaged 13-Dec.  Not an enterprise plugin.

Note You need to log in before you can comment on or make changes to this bug.